## golang-gopkg-src-d-go-billy.v4 4.3.2

=== Makefile ===
# General
WORKDIR = $(PWD)

# Go parameters
GOCMD = go
GOTEST = $(GOCMD) test -v

# Coverage
COVERAGE_REPORT = coverage.txt
COVERAGE_PROFILE = profile.out
COVERAGE_MODE = atomic

test-coverage:
	cd $(WORKDIR); \
	echo "" > $(COVERAGE_REPORT); \
	for dir in `find . -name "*.go" | grep -o '.*/' | sort | uniq`; do \
		$(GOTEST) $$dir -coverprofile=$(COVERAGE_PROFILE) -covermode=$(COVERAGE_MODE); \
		if [ $$? != 0 ]; then \
			exit 2; \
		fi; \
		if [ -f $(COVERAGE_PROFILE) ]; then \
			cat $(COVERAGE_PROFILE) >> $(COVERAGE_REPORT); \
			rm $(COVERAGE_PROFILE); \
		fi; \
	done; \

## golang-gopkg-src-d-go-billy.v4 4.3.0

=== debian/changelog ===
golang-gopkg-src-d-go-billy.v4 (4.3.0-1) unstable; urgency=medium

  * Initial release (Closes: #924922)

 -- Dawid Dziurla <dawidd0811@gmail.com>  Mon, 18 Mar 2019 14:22:13 +0100

=== debian/control ===
Source: golang-gopkg-src-d-go-billy.v4
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Dawid Dziurla <dawidd0811@gmail.com>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 12),
 dh-golang,
Build-Depends-Indep:
 golang-any,
 golang-gopkg-check.v1-dev,
Standards-Version: 4.3.0
Homepage: https://github.com/src-d/go-billy
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-gopkg-src-d-go-billy.v4
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-gopkg-src-d-go-billy.v4.git
XS-Go-Import-Path: gopkg.in/src-d/go-billy.v4
Testsuite: autopkgtest-pkg-go

Package: golang-gopkg-src-d-go-billy.v4-dev
Architecture: all
Depends:
 ${misc:Depends},
 golang-gopkg-check.v1-dev,
Description: Missing interface filesystem abstraction for Go
 Billy implements an interface based on the os standard library,
 allowing to develop applications without dependency on
 the underlying storage.
 Makes it virtually free to implement mocks and testing over
 filesystem operations.

## golang-gopkg-src-d-go-billy.v4 4.3.2

=== debian/changelog ===
golang-gopkg-src-d-go-billy.v4 (4.3.2-1) unstable; urgency=medium

  * New upstream version 4.3.2

 -- Dawid Dziurla <dawidd0811@gmail.com>  Thu, 01 Aug 2019 22:08:26 +0200

golang-gopkg-src-d-go-billy.v4 (4.3.1-1) unstable; urgency=medium

  * New upstream version 4.3.1
  * d/control: new dependency
  * d/control: bump standards

 -- Dawid Dziurla <dawidd0811@gmail.com>  Sat, 20 Jul 2019 00:28:13 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,8 @@
 Build-Depends-Indep:
  golang-any,
  golang-gopkg-check.v1-dev,
-Standards-Version: 4.3.0
+ golang-golang-x-sys-dev,
+Standards-Version: 4.4.0
 Homepage: https://github.com/src-d/go-billy
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-gopkg-src-d-go-billy.v4
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-gopkg-src-d-go-billy.v4.git
@@ -23,6 +24,7 @@
 Depends:
  ${misc:Depends},
  golang-gopkg-check.v1-dev,
+ golang-golang-x-sys-dev,
 Description: Missing interface filesystem abstraction for Go
  Billy implements an interface based on the os standard library,
  allowing to develop applications without dependency on

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/docui-$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/ \
  https://github.com/src-d/go-billy/tags .*/v?(\d\S*)\.tar\.gz
